package com.goafanti.patent.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

/**
 * 专利年费缴费通知BO
 */
public class PatentExpireBo {

	private String	id;

	private String	uid;

	private Integer	serialNumber;

	private String	patentNumber;

	/**
	 * 专利名称
	 */
	private String	patentName;

	/**
	 * 专利申请日
	 */
	private Date	patentApplicationDate;

	/**
	 * 注册号码
	 */
	private String	mobile;

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Date getPatentApplicationDate() {
		return patentApplicationDate;
	}

	public void setPatentApplicationDate(Date patentApplicationDate) {
		this.patentApplicationDate = patentApplicationDate;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getPatentApplicationFormattedDate() {
		if (this.patentApplicationDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPatentApplicationDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setPatentApplicationFormattedDate(String patentApplicationFormattedDate) {

	}

}
